Subject: Re: [PATCH net-next] ptr_ring: add include of linux/mm.h

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 Jan 2020 18:19:02 -0800

On Mon, 13 Jan 2020 11:22:16 +0100, Jesper Dangaard Brouer wrote:
> Commit 0bf7800f1799 ("ptr_ring: try vmalloc() when kmalloc() fails")
> started to use kvmalloc_array and kvfree, which are defined in mm.h,
> the previous functions kcalloc and kfree, which are defined in slab.h.
> 
> Add the missing include of linux/mm.h.  This went unnoticed as other
> include files happened to include mm.h.
> 
> Fixes: 0bf7800f1799 ("ptr_ring: try vmalloc() when kmalloc() fails")
> Signed-off-by: Jesper Dangaard Brouer <[email-masked]>

Applied to net-next as specified, let's see if bots pull it into stable
for no good reason :)  Thank you!